IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'Remito_XML_Cli')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_Integer, NOTA)
	VALUES (1, 'Remito_XML_Cli', 'Id_cliente al que hay que generar el remito xml','INTEGER',0,'')
END
GO

IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'Rem_ftp_Car')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_String, NOTA)
	VALUES (1, 'Rem_ftp_Car', 'Carpeta donde se sube Remito XML','STRING','','')
END
GO

IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'Rem_ftp_Server')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_String, NOTA)
	VALUES (1, 'Rem_ftp_Server', 'Server donde se sube Remito XML','STRING','','')
END

IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'Rem_ftp_User')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_String, NOTA)
	VALUES (1, 'Rem_ftp_User', 'Usuario de ftp para Remito XML','STRING','','')
END
GO

IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'Rem_ftp_Clave')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_String, NOTA)
	VALUES (1, 'Rem_ftp_Clave', 'Clave de ftp para Remito XML','STRING','','')
END
GO